# helm
#
# deploys helm charts on k8s via helmfile

start-helm:
	@- echo "\n### starting deployment with helmfile"
	@- echo "\n### setting kubernetes context to $(K8S_CONTEXT)"
	@- kubectl config use-context $(K8S_CONTEXT)

	@- echo "\n### create namespace $(NAMESPACE)"
	@- kubectl create namespace "$(NAMESPACE)" --dry-run=client -o yaml | kubectl apply -f - 

	@- echo "\n### run kubectl apply -f secrets.yaml"
	@- cat secrets.yaml | kubectl apply -f -

	@- echo "\nCI_PROJECT_NAME: ${CI_PROJECT_NAME}"

	@- echo "\n### deploying helm chart"
	@- helmfile --file helmfile.yaml apply --suppress-secrets

pull-helm:
# nop
